GFFUTILS-CLI_SANITIZE(1)

NAME
gffutils-cli_sanitize - Sanitize a GFF file

DESCRIPTION
usage: gffutils-cli sanitize [-h] [--in-memory] [--in-place] filename

Sanitize a GFF file. Might get merged with clean feature later.

Cleans and adds useful annotations to a GFF file:

    - Ensures that start > end in all entries - Adds an entry id (eid) to each entry to make files grep-able

Outputs result to stdout unless asked to sanitize in place.

  positional arguments:

filename
    GFF or GTF file to use (or GFF database.)

  options:

-h, --help
    show this help message and exit

--in-memory
    Load GFF into memory for processing. (default: True)

--in-place
    Sanitize file in-place: overwrites current file with sanitized version. (default: False)